      subroutine stebjj1(n,fjj,fj,fjmm,fmm,fv,fe)
c                                                                     
c bernd berg, jan 11 2000.
c calculation of jackknife estimators from input of second  
c fjj(n-1,n)  and first  fj(n)  level jackknife bins:
c
c - the jackknife sample of bias corrected mean values fjmm(n),
c - the bias corrected mean value fmm,
c - the variance  fv  and the error bar  fe  for  the 
c   bias corrected mean value.
c                                                                     
      include '../../libs/fortran/implicit.sta'
      dimension fjj(n-1,n),fj(n),fjmm(n)
      if(n.lt.3) stop 'stebjj1: n too small!'
      n1=n-1
      do i=1,n
        call bias(n1,fjj(1,i),fj(i),fjmm(i),biasjm)
      end do
      call stebj0(n,fjmm,fmm,fv,fe)
      return
      end
